Set Server Type
Update the server type.
PATCH https://api.sonorancms.com/v2/community/servers/1/type
Rate limit:
18 requests per minute
Authenticated v2 endpoints are rate limited per credential rather than per IP address.
Update the server type.
Route Parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| serverId | number | Yes | Target serverId. |
Request Body
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| type | string | Yes | See example request for the shape. |
Example Request
local Sonoran = require("sonoran")
local sonoran = Sonoran.createClient({
product = Sonoran.productEnums.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1,
timeoutMs = 30000,
})
local serverId = 1
local payload = {
["type"] = "FiveM"
}
local response = sonoran.cms:setServerTypeV2(serverId, payload)
if response.success then
print(response.data)
else
print(response.reason)
endResponse
The data object is the updated server row. It includes the new type and typeLastUpdated values.
Last updated
Was this helpful?

